package com.cardiff.client_project.service;

import com.cardiff.client_project.pojo.dto.SelectDTO;
import com.cardiff.client_project.pojo.dto.HospitalDTO;
import com.cardiff.client_project.pojo.vo.NurseVO;
import com.cardiff.client_project.utils.Result;

import java.util.List;

public interface CommonAdminHospitalService {
    List<HospitalDTO> getAllHospitals();

    List<HospitalDTO> searchHospitals(String name, String location);

    void addHospital(HospitalDTO hospital);

    Result add(Object entity);

    void updateHospital(HospitalDTO hospital);

    void editHospital(HospitalDTO hospital);

    void deleteHospital(int id);

    HospitalDTO getHospitalById(int id);


    void resetHospitalIds();

    List<NurseVO> getAllNurses();
    List<NurseVO> searchNurses(String name, Integer hospitalId);

}
